import Vue from 'vue'
import Router from 'vue-router'

import Hello from '@/components/Hello'
import TheBattlegroundSelector from '@/components/TheBattlegroundSelector'
import Battleground from '@/components/Battleground'

Vue.use(Router)

export default new Router({
  routes: [
    {
      path: '/',
      name: 'Hello',
      component: Hello
    },
    {
      path: '/battlegrounds',
      component: TheBattlegroundSelector
    },
    {
      path: '/battleground/:battlegroundId',
      component: Battleground
    }
  ]
})
